<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.system.mapper.ProdFarmNameMapper">



    <select id="updatName" resultType="com.huimv.admin.system.entity.ProdFarmName">
          SELECT id farm_id, farm_name FROM base_farm
            WHERE id NOT IN
            (SELECT farm_id FROM  `prod_farm_name` )
    </select>
</mapper>
